Bug 213317 - textproc/pecl-yaml: Update to 2.0.0 and add textproc/pecl-yaml1
Summary: textproc/pecl-yaml: Update to 2.0.0 and add textproc/pecl-yaml1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-08 22:14 UTC by Danilo G. Baio
Modified: 2017-03-19 00:34 UTC (History)
1 user (show)

See Also:


Attachments
pecl-yaml2.shar (1.58 KB, text/plain)
2016-10-08 22:14 UTC, Danilo G. Baio
no flags Details
pecl-yaml2-v02.shar (1.58 KB, text/plain)
2016-12-03 13:09 UTC, Danilo G. Baio
no flags Details
pecl-yaml-2.0.0.patch (2.64 KB, patch)
2017-03-18 19:15 UTC, Danilo G. Baio
dbaio: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Danilo G. Baio freebsd_committer 2016-10-08 22:14:55 UTC
Created attachment 175539 [details]
pecl-yaml2.shar

pecl-yaml is a YAML-1.1 parser and emitter, it Support for
YAML 1.1 (YAML Ain't Markup Language) serialization using
the LibYAML library.

WWW: http://pecl.php.net/package/yaml/

This version is specific to php70 compared to textproc/pecl-yaml.

portlint: OK (looks fine.)
testport: 
	poudriere: i386,  9.3   (OK)
	poudriere: amd64, 9.3   (OK)
	poudriere: i386,  10.3  (OK)
	poudriere: amd64, 10.3  (OK)
	poudriere: i386,  12    (OK)
	poudriere: amd64, 12    (OK)
Comment 1 Danilo G. Baio freebsd_committer 2016-12-03 13:09:39 UTC
Created attachment 177632 [details]
pecl-yaml2-v02.shar


Removing PHP 55 reference, it was removed on ports r424382

Another round of poudriere build tests:

portlint: OK (looks fine.)

testport: 
	poudriere: i386,  9.3   (OK)
	poudriere: amd64, 9.3   (OK)
	poudriere: i386,  10.3  (OK)
	poudriere: amd64, 10.3  (OK)
	poudriere: i386,  11    (OK)
	poudriere: amd64, 11    (OK)	
	poudriere: i386,  12    (OK)
	poudriere: amd64, 12    (OK)
Comment 2 Po-Chuan Hsieh freebsd_committer 2017-03-18 16:45:43 UTC
Please consider:
- Add textproc/pecl-yaml1 for 1.x (via svn cp)
- Update textproc/pecl-yaml to 2.0.0
Comment 3 Danilo G. Baio freebsd_committer 2017-03-18 19:15:35 UTC
Created attachment 180932 [details]
pecl-yaml-2.0.0.patch


- Update to 2.0.0
- Copy textproc/pecl-yaml to textproc/pecl-yaml1

Changes: https://pecl.php.net/package-changelog.php?package=yaml

Before applying the patch, execute:
$ svn copy textproc/pecl-yaml textproc/pecl-yaml1

[Q/A]

textproc/pecl-yaml:

portlint:  looks fine.
testport: DEFAULT_VERSIONS+= php=7.0
   poudriere: i386|amd64 - 10.3 p17     (OK)
   poudriere: i386|amd64 - 11   p8      (OK)
   poudriere: i386|amd64 - 12   r315219 (OK)

textproc/pecl-yaml1:

portlint: WARN: [...]/distinfo: [1]: TIMESTAMP is over 30 days old.
testport:
   poudriere: i386|amd64 - 10.3 p17     (OK)
   poudriere: i386|amd64 - 11   p8      (OK)
   poudriere: i386|amd64 - 12   r315219 (OK)
Comment 4 commit-hook freebsd_committer 2017-03-19 00:33:33 UTC
A commit references this bug:

Author: sunpoet
Date: Sun Mar 19 00:32:51 UTC 2017
New revision: 436456
URL: https://svnweb.freebsd.org/changeset/ports/436456

Log:
  Update to 2.0.0

  - Add pecl-yaml1 1.3.0 (copied from pecl-yaml)
  - Add UPDATING entry

  Changes:	https://pecl.php.net/package-changelog.php?package=yaml
  PR:		213317
  Submitted by:	Danilo G. Baio (dbaio) <dbaio@bsd.com.br> (maintainer)

Changes:
  head/UPDATING
  head/textproc/Makefile
  head/textproc/pecl-yaml/Makefile
  head/textproc/pecl-yaml/distinfo
  head/textproc/pecl-yaml1/
  head/textproc/pecl-yaml1/Makefile
Comment 5 Po-Chuan Hsieh freebsd_committer 2017-03-19 00:34:28 UTC
Committed. Thanks!